# Returns balances for an account for a consent. (deprecated)

Returns balances for an account for a consent which contains credit lines

Endpoint: GET /stored-data/v1/consents/{consentId}/accounts/{accountId}/balances
Version: all
Security: Bearer

## Security:

  - `Bearer` (unknown)
    http bearer scopes: api:stored_data

## Path parameters:

  - `consentId` (string, required)
    Unique reference for the user consent

  - `accountId` (string, required)
    Unique identifier for the account at the institution

## Response 200:

  - `200` (unknown)
    Balances for the provided account

## Response 200 fields (application/json):

  - `current` (object)

  - `current.amount` (number)

  - `current.creditDebitIndicator` (string)
    Enum: "Credit", "Debit"

  - `current.creditLines` (array)

  - `current.creditLines.amount` (number)
    Amount for credit lines is optional and can be null.

  - `current.creditLines.creditLineType` (string)
    Enum: "NA", "PREAGREED", "TEMPORARY", "EMERGENCY", "CREDIT", "AVAILABLE"

  - `current.creditLines.included` (boolean)

  - `current.creditLines.predicted` (boolean)

## Response 401:

  - `401` (unknown)
    The authorization header was invalid or not found

## Response 404:

  - `404` (unknown)
    No consent or accounts were found

## Response 404 fields (application/json):

  - `code` (string)
    Error code.

  - `description` (string)
    Error message.

  - `details` (string)
    Error details.

  - `correlationId` (string)
    User transaction tracking Id

## Response 500:

  - `500` (unknown)
    A server error has occurred

## Response 500 fields (application/json):

  - `code` (string)
    Error code.

  - `description` (string)
    Error message.

  - `details` (string)
    Error details.

  - `correlationId` (string)
    User transaction tracking Id

